FWIP(4)

NAME
fwip - IP over FireWire driver

SYNOPSIS
To compile this driver into the kernel, place the following lines in your kernel configuration file:

device firewire
device fwip

Alternatively, to load the driver as a module at boot time, place the following lines in loader.conf(5):

    firewire_load="YES"
    if_fwip_load="YES"

DESCRIPTION
The fwip driver provides standard IP over FireWire (IEEE 1394) based on the protocols described in RFC 2734 and RFC 3146.

The firewire(4) and fwohci(4) drivers must be configured in the kernel as well.

This driver supports polling(4) as well if it is compiled with the DEVICE_POLLING option.

SEE ALSO
arp(4), firewire(4), fwe(4), fwohci(4), netintro(4), polling(4), ifconfig(8), kldload(8), sysctl(8)

HISTORY
The fwip device driver first appeared in FreeBSD 5.3.

AUTHORS
-nosplit The fwip driver and this manual page were written by Doug Rabson, based on earlier work by Hidetoshi Shimokawa.

BUGS
This driver currently does not support the MCAP protocol for multicast IP over FireWire. Multicast packets are treated as broadcast packets which is sufficient for most trivial uses of multicast.